; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	12/16/2013 00:11.46
; 
pro Dialog_Text_Window_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Text_Window_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Text_Text_Window'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_TEXT_CH' )then $
        Dialog_Text_String_Inserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Text_Done_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Text_Done_Asserted, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Dialog_Text_Cancel_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Dialog_Text_Cancel_Asserted, Event
    end
    else:
  endcase

end

pro Dialog_Text_Window_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

; Floating or modal bases must have a Group Leader.

  if(N_Elements(wGroup) eq 0)then $
     Message,'Group leader must be specified for Modal or Floating'+ $
      ' top level bases'

  Resolve_Routine, 'Dialog_Text_Window_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  Dialog_Text_Window_Base = Widget_Base( GROUP_LEADER=wGroup,  $
      UNAME='Dialog_Text_Window_Base' ,XOFFSET=5 ,YOFFSET=5  $
      ,SCR_XSIZE=460 ,SCR_YSIZE=175  $
      ,NOTIFY_REALIZE='Dialog_Text_Window_Realize' ,TITLE='Enter Text'+ $
      ' String' ,SPACE=3 ,XPAD=3 ,YPAD=3 ,/MODAL)

  
  Dialog_Text_PostCreation, Dialog_Text_Window_Base, _EXTRA=_VWBExtra_

  
  Dialog_Text_Label_Window = Widget_Label(Dialog_Text_Window_Base,  $
      UNAME='Dialog_Text_Label_Window' ,FRAME=1 ,XOFFSET=21  $
      ,YOFFSET=10 ,SCR_XSIZE=403 ,SCR_YSIZE=29 ,/ALIGN_CENTER  $
      ,VALUE='')

  
  Dialog_Text_Text_Window = Widget_Text(Dialog_Text_Window_Base,  $
      UNAME='Dialog_Text_Text_Window' ,XOFFSET=22 ,YOFFSET=49  $
      ,SCR_XSIZE=404 ,SCR_YSIZE=34 ,/EDITABLE ,/ALL_EVENTS ,/WRAP  $
      ,XSIZE=20 ,YSIZE=1)

  
  Dialog_Text_Done_Button = Widget_Button(Dialog_Text_Window_Base,  $
      UNAME='Dialog_Text_Done_Button' ,XOFFSET=304 ,YOFFSET=97  $
      ,SCR_XSIZE=119 ,SCR_YSIZE=32 ,/ALIGN_CENTER ,VALUE='Done')

  
  Dialog_Text_Cancel_Button = Widget_Button(Dialog_Text_Window_Base,  $
      UNAME='Dialog_Text_Cancel_Button' ,XOFFSET=22 ,YOFFSET=98  $
      ,SCR_XSIZE=119 ,SCR_YSIZE=32 ,/ALIGN_CENTER ,VALUE='Cancel')

  Widget_Control, /REALIZE, Dialog_Text_Window_Base

  XManager, 'Dialog_Text_Window_Base', Dialog_Text_Window_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro Dialog_Text_Window, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  Dialog_Text_Window_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
