pro P12_save_images_to_subdirectory, Event, input_pathnames
	;
	;	saves the indicated images to a subdirectory for safekeeping
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	n_ptr = PTR_struct.PTR_night
	s_ptr = PTR_struct.PTR_summary
	f_ptr = PTR_struct.PTR_FITS
	bdf_ptr = PTR_struct.PTR_BDF
	rt_ptr = PTR_struct.PTR_RTime
	;
	;	create directory name and check for its presence
	;
	night_desig = (*n_ptr).night_desig
	night_desig_text = STRTRIM(STRING(format='(i8.8)',night_desig),2)
	;
	this_save_dir = (*s_ptr).root_reduced + '8_Linearity_Corrected_Images' + PATH_SEP() + $
		night_desig_text + PATH_SEP() + 'Original_pol_images'
	test_dir = FILE_INFO(this_save_dir)
	if(test_dir.exists eq 0 or test_dir.directory eq 0) then begin
		FILE_MKDIR, this_save_dir
		MSP_BDP_print_text, Event, "Creating save subdirectory for polarimetry images "
		MSP_BDP_print_text, Event, "  Name = "+this_save_dir
	endif
	;
	;	copy the files as needed to the save directory
	;
	FILE_COPY, input_pathnames, this_save_dir, /REQUIRE_DIRECTORY, /OVERWRITE
	;
end