function median_remove_image, array
;
;   computes median filtered mean, sigma for each row
;   of image, subtracts from input image
;
;   DPC 20050726
;
sz = size(array)
out_array = array
ncol = sz[1]
nrow = sz[2]
;
for irow = 0, nrow-1 do begin
    vec = array[*,irow]
    zz = median_filtered_mean(vec)
    out_array[*,irow] = array[*,irow] - zz[0]
endfor
;
return, out_array
end