function normal_angle, angle
;
;	takes a HWP angle (in degrees) and
;	returns the nearest "normal" HWP
;	angle (ie, 22.5 deg steps, starting
;	at zero).
;
normal = findgen(16) * 22.5
;
n = N_ELEMENTS(angle)
if(n gt 1) then new_angle = angle * 0.0
for i = 0, n-1 do begin
	;
	if(n eq 1) then begin
		dif = normal - angle
	endif else begin
		dif = normal - angle[i]
	endelse
	;
	dif_min = MIN(abs(dif), ind_min)
	;
	if(n eq 1) then begin
		new_angle = normal[ind_min[0]]
	endif else begin
		new_angle[i] = normal[ind_min[0]]
	endelse
endfor
;
return, new_angle
end
