;---------------------------------------------------------------------------------------
pro P5_get_wids, Event
	;
	;	gets P5 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	b_ptr = PTR_struct.PTR_BPM
	;
	(*s_ptr).P5_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Button_View_Edit_Group_BPM_Table")
	(*s_ptr).P5_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Button_Start_BPM_Creation")
	(*s_ptr).P5_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_Never")
	(*s_ptr).P5_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_First")
	(*s_ptr).P5_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_Every")
	(*s_ptr).P5_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Button_Low_Cut")
	(*s_ptr).P5_button_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Button_High_Cut")
	(*s_ptr).P5_button_wid[7] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Button_Continue")
	(*s_ptr).P5_button_wid[8] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_One")
	(*s_ptr).P5_button_wid[9] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_All")
	(*s_ptr).P5_button_wid[10] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_Single")
	(*s_ptr).P5_button_wid[11] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Radio_Button_Multiple")
	;
	(*s_ptr).P5_base_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Base_0")
	(*s_ptr).P5_base_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Base_1")
	(*s_ptr).P5_base_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Base_2")
	(*s_ptr).P5_base_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Base_3")
	;
	(*s_ptr).P5_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Text_Low_Cut")
	(*s_ptr).P5_text_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Text_High_Cut")
	(*s_ptr).P5_text_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Text_BPM_Number")
	(*s_ptr).P5_text_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Text_Rejected_Pixel_Count")
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Draw_Window")
	WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P5_draw_window_id = window_id
	;
	(*s_ptr).P5_droplist_night_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Droplist_Select_Night")
	(*s_ptr).P5_droplist_night_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_Droplist_Select_BPM_Histo")
	;
	;	turn all buttons and internal bases to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P5_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P5_button_wid[iw], SENSITIVE = sen
		if(iw le 1) then WIDGET_CONTROL, (*s_ptr).P5_base_wid[iw], SENSITIVE=sen
	endfor
	;
	;	turn text windows and second droplist not sensitive
	;

	WIDGET_CONTROL, (*s_ptr).P5_droplist_night_wid[1], SENSITIVE=0

	;
	;	clear draw window
	;
	WSET, (*s_ptr).P5_draw_window_id
	ERASE
	;
	;	window IDs for all LED displays and sets all to gray
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P5_LED_1")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P5_LED_wid[0] = wid
	;
	sen = 0
	;
	colors = strarr(10)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P5_LED_wid[0], colors
	;
	;	load low, high text windows with default values
	;
	WIDGET_CONTROL, (*s_ptr).P5_text_wid[0], SET_VALUE=STRTRIM(STRING(format='(F7.1)',(*b_ptr).bpm_default_low_cut),2)
	WIDGET_CONTROL, (*s_ptr).P5_text_wid[1], SET_VALUE=STRTRIM(STRING(format='(F7.1)',(*b_ptr).bpm_default_high_cut),2)
	;
end