;---------------------------------------------------------------------------------------
pro P6_Init, Event
	;
	;	gets P6 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	l_ptr = PTR_struct.PTR_Linearity
	;
	;	turn first 3 buttons sensitive, rest not
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P6_button_wid)-1 do begin
		if(iw le 2) then sen = 1 else sen = 0
		WIDGET_CONTROL, (*s_ptr).P6_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	turn text windows and droplists not sensitive
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P6_droplist_wid)-1 do WIDGET_CONTROL, (*s_ptr).P6_droplist_wid[iw], SENSITIVE=0
	for iw = 0, 1 do WIDGET_CONTROL, (*s_ptr).P6_text_wid[iw], SENSITIVE=0
	;
	;	but load data into text windows nevertheless
	;
	xx = (*l_ptr).xx
	yy = (*l_ptr).yy
	;
	WIDGET_CONTROL, (*s_ptr).P6_text_wid[0], SET_VALUE=STRING(format='(I4.1)',xx)
	WIDGET_CONTROL, (*s_ptr).P6_text_wid[1], SET_VALUE=STRING(format='(I4.1)',yy)
	;
	;	clear draw window
	;
	WSET, (*s_ptr).P6_draw_window_id
	ERASE
	;
	;	window IDs for all LED displays and sets all to gray
	;
	(*s_ptr).P6_LED_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_0")
	(*s_ptr).P6_LED_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_1")
	(*s_ptr).P6_LED_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_2")
	(*s_ptr).P6_LED_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_3")
	;
	colors = strarr(25)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P6_LED_wid[0], colors
	WCT_LED_stack, (*s_ptr).P6_LED_wid[3], colors
	colors = strarr(10)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P6_LED_wid[1], colors
	WCT_LED_stack, (*s_ptr).P6_LED_wid[2], colors
	;
	;	go to current tab
	;
	;WIDGET_CONTROL, (*s_ptr).P6_tab_wid, SET_TAB_CURRENT=(*s_ptr).P6_current_tab
	;
	;	set current tab to method 2 (DPC 20101224)
	;
	(*s_ptr).P6_current_tab = 1
	WIDGET_CONTROL, (*s_ptr).P6_tab_wid, SET_TAB_CURRENT=(*s_ptr).P6_current_tab
	;
	;	set method 2 first, last lin and bias groups to -1
	;
	(*l_ptr).m2_lin_first_grp = -1
	(*l_ptr).m2_lin_last_grp = -1
	(*l_ptr).m2_bias_first_grp = -1
	(*l_ptr).m2_bias_last_grp = -1
	;
end