pro P6_droplist_populate, Event, droplist_number
	;
	;	puts the list of active nights with Step>=4 (RAW1 Jump) onto the P6 droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	b_ptr = PTR_struct.PTR_BPM
	;
	d_wid = (*s_ptr).P6_droplist_wid[droplist_number]
	;
	num_nights = (*s_ptr).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['No Nights Found']
	endif else begin
		night_list = (*s_ptr).night_date[0:num_nights-1]
		step_list = (*s_ptr).night_step[0:num_nights-1]
		ind = WHERE(step_list[*] ge 4, count)
		if(count lt 1) then begin
			str_list = ['no nights w/S>=4']
			MSP_BDP_print_text, Event, "No Nights Available for Linearity Calc - Complete Bad Pixel Mask Generation first."
		endif else begin
			;
			;	convert to strings
			;
			str_list = strarr(count)
			for i=0, count-1 do begin
				str_list[i] = STRING(format='(I8.8)',night_list[ind[i]])
			endfor
		endelse
	endelse
	;
	WIDGET_CONTROL, d_wid, SET_VALUE=str_list
	;
end