pro get_group_sky, Event, paths, group_sky
	;
	;	from the list of pathnames, reads images to get mean sky for the group
	;
	;	DPC 20120206
	;
	n_images = N_ELEMENTS(paths)
	;
	sky = fltarr(n_images)
	;
	for i = 0, n_images-1 do begin
		ptr_image = PTR_NEW(readfits(paths[i],header,/silent))
		;
		;	select every 30th pixel in every 30th row
		;
		this_sky = median_filtered_mean((*ptr_image)[10:1020:30,10:1020:30])
		sky[i] = this_sky[0]
		PTR_FREE, ptr_image
	endfor
	best_sky = median_filtered_mean(sky)
	group_sky = best_sky[0]
	;
end

